import request from '@/utils/request'

// 查询师傅质保金明细列表
export function listWorkerMarginLog(query) {
  return request({
    url: '/system/WorkerMarginLog/list',
    method: 'get',
    params: query
  })
}

// 查询师傅质保金明细详细
export function getWorkerMarginLog(id) {
  return request({
    url: '/system/WorkerMarginLog/' + id,
    method: 'get'
  })
}

// 新增师傅质保金明细
export function addWorkerMarginLog(data) {
  return request({
    url: '/system/WorkerMarginLog',
    method: 'post',
    data: data
  })
}

// 修改师傅质保金明细
export function updateWorkerMarginLog(data) {
  return request({
    url: '/system/WorkerMarginLog',
    method: 'put',
    data: data
  })
}

// 删除师傅质保金明细
export function delWorkerMarginLog(id) {
  return request({
    url: '/system/WorkerMarginLog/' + id,
    method: 'delete'
  })
}
